#!/bin/bash

# Variables
REGISTRY="git.hannover.ccc.de/c3h/leitstelle-forgejo-actions/runner"
PLATTARCH="linux/amd64,linux/arm64"

# Build and push the first image
echo "Building and pushing PHP Podman image..."

if ! podman manifest exists ${REGISTRY}; then podman manifest create ${REGISTRY}; fi
podman build --platform ${PLATTARCH} --manifest ${REGISTRY} -f Containerfile .
podman manifest push ${REGISTRY}
